gss_check_version(3)

NAME
gss_check_version - API function

SYNOPSIS
#include <gss.h>

const char * gss_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    version string to compare with, or NULL

DESCRIPTION
Check that the version of the library is at minimum the one given as a string in req_version.

WARNING
This function is a GNU GSS specific extension, and is not part of the official GSS API.

RETURN VALUE
The actual version string of the library; NULL if the
  condition is not met. If NULL is passed to this function no
  check is done and only the version string is returned.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.